SDL_SendJoystickVirtualSensorData(3)

NAME
SDL_SendJoystickVirtualSensorData - Send a sensor update for an opened virtual joystick.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

bool SDL_SendJoystickVirtualSensorData(SDL_Joystick *joystick, SDL_SensorType type, Uint64 sensor_timestamp, const float *data, int num_values);

DESCRIPTION
Please note that values set here will not be applied until the next call to SDL_UpdateJoysticks, which can either be called directly, or can be called indirectly through various other SDL APIs, including, but not limited to the following: SDL_PollEvent, SDL_PumpEvents, SDL_WaitEventTimeout, SDL_WaitEvent.

FUNCTION PARAMETERS

joystick
    the virtual joystick on which to set state.

type
    the type of the sensor on the virtual joystick to update.

sensor_timestamp
    a 64-bit timestamp in nanoseconds associated with the sensor reading.

data
    the data associated with the sensor reading.

num_values
    the number of values pointed to by data.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetJoystickVirtualAxis(3), SDL_SetJoystickVirtualButton(3), SDL_SetJoystickVirtualBall(3), SDL_SetJoystickVirtualHat(3), SDL_SetJoystickVirtualTouchpad(3)